## org.biojava.bio.program.xff
Class XFFTools

    java.lang.Object
      org.biojava.bio.program.xff.XFFTools

public class XFFTools
extends java.lang.Object

Common functionality for manipulating XFF.

Author:
  Matthew Pocock

Constructor Summary
`XFFTools()`

Method Summary
`static void` `annotateXFF(java.io.File xffFile, Sequence sequence)`
`static Sequence` `readXFF(java.io.File xffFile, java.lang.String seqID, FiniteAlphabet alpha)`
`static void` `writeXFF(java.io.File xffFile, FeatureHolder features)`
`static void` `writeXFF(java.io.PrintWriter xffPR, FeatureHolder features)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFFTools

    public XFFTools()

Method Detail

### annotateXFF

    public static void annotateXFF(java.io.File xffFile,
                                   Sequence sequence)
                            throws java.io.IOException,
                                   org.xml.sax.SAXException,
                                   BioException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `BioException`

### readXFF

    public static Sequence readXFF(java.io.File xffFile,
                                   java.lang.String seqID,
                                   FiniteAlphabet alpha)
                            throws java.io.IOException,
                                   org.xml.sax.SAXException,
                                   BioException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `BioException`

### writeXFF

    public static void writeXFF(java.io.File xffFile,
                                FeatureHolder features)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeXFF

    public static void writeXFF(java.io.PrintWriter xffPR,
                                FeatureHolder features)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`